.main {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  color: rgb(38, 38, 38);
  margin: 0;
}

.responseData {
  width: 100%;
}

.textSendBanner {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  margin-top: 20px;
}

.textReceivedBanner {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  text-align: left;
  margin-top: 20px;
}

.icon_avatar {
  width: 24px;
  height: 24px;
  object-fit: cover;
  /* max-height: 50px; */
  margin: 0 10px 0 20px;
  border-radius: 100%;
}

.divDisplayMyMessage {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}

.divDisplayIAMessage {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  flex-direction: row;
}

.textReceived {
  text-align: left;
  padding: 16px;
  min-height: 44px;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
  max-width: 236px;
  /* margin-left: 20px; */
  border-radius: 22px;
  margin-bottom: 5px;
  cursor: default;
  border: 1px solid rgb(239, 239, 239);
}

.p_hour_messageItem {
  width: 100%;
  color: rgb(142, 142, 142);
  text-align: center;
  font-weight: 400;
  font-size: 12px;
  line-height: 16px;
}

.divGeneralMessage {
  width: 100%;
}

.textSend {
  text-align: left;
  padding: 16px;
  min-height: 44px;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
  max-width: 236px;
  margin-right: 20px;
  border-radius: 22px;
  margin-bottom: 5px;
  cursor: default;
  background-color: rgb(239, 239, 239);
}

.main input[type="text"] {
  border: none;
  border-radius: 4px;
}
.main ::placeholder {
  color: #8e8ea0;
  opacity: 1;
}
.main input[type="submit"] {
  color: #fff;
  background-color: #10a37f;
  border: none;
  border-radius: 4px;
  text-align: center;
  cursor: pointer;
}
.main .result {
  font-weight: bold;
  margin-top: 40px;
}

/* .result {
  height: 400px;
  overflow: auto;
  font-size: 16px;
  line-height: 24px;
  color: #353740;
  font-family: "ColfaxAI", Helvetica, sans-serif;
} */

.result {
  padding-top: 15%;
  height: 60%;
  margin-bottom: 15%;
  overflow: auto;
  font-size: 16px;
  line-height: 24px;
  color: #353740;
  font-family: "ColfaxAI", Helvetica, sans-serif;
}

.header {
  height: 15%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  min-width: 100%;
  background-color: #fff;
  text-align: left;
  cursor: pointer;
  border-bottom: 1px solid rgb(219, 219, 219);
}

.h3ChatTemplate {
  width: 100%;
  color: rgb(38, 38, 38);
  font-weight: 700;
  font-size: 16px;
  line-height: 16px;
  margin: -6px 0 -6px;
}

.icon_avatar_header {
  width: 25px;
  height: 25px;
  object-fit: cover;
  /* max-height: 50px; */
  margin: 4%;
  border-radius: 100%;
}

.textReceivedImage {
  text-align: left;
  padding: 16px;
  min-height: 44px;
  font-weight: 400;
  font-size: 14px;
  line-height: 18px;
  max-width: 260px;
  /* margin-left: 20px; */
  border-radius: 22px;
  margin-bottom: 5px;
  cursor: default;
  border: 1px solid rgb(239, 239, 239);
}

.imageGenerate {
  max-width: 250px;
}

.form {
  /* position: fixed;
  bottom: 0;
  left: 0; */
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding-bottom: 20px;
}

/* .form:nth-child(1) {
  margin: 5%;
}*/

.input {
  border: none;
  width: 80%;
  outline: none;
  background-color: transparent;
  overflow: auto;
  padding: 8px 9px;
  resize: none;
}

.input:focus::placeholder {
  /* opacity: 0.5; */
  color: rgb(219, 219, 219);
}

.div_form_Message {
  display: flex;
  flex-direction: row;
  width: 80%;
  justify-content: flex-start;
  align-items: center;
  padding: 10px;
  border: 1px solid rgb(219, 219, 219);
  border-radius: 22px;
  height: 20px;
}

.sendButton {
  font-weight: 500;
  color: rgb(0, 149, 246);
  cursor: pointer;
}

.speakMessage {
  display: block;
}

@media screen and (max-width: 900px) {
  .result {
    height: 60%;
    margin-bottom: 40%;
    overflow: auto;
    font-size: 16px;
    line-height: 24px;
    color: #353740;
    font-family: "ColfaxAI", Helvetica, sans-serif;
  }
  .speakMessage {
    display: none;
  }
}

@media screen and (max-width: 330px) {
  .textReceivedImage {
    text-align: left;
    padding: 16px;
    min-height: 44px;
    font-weight: 400;
    font-size: 14px;
    line-height: 18px;
    max-width: 250px;
    margin-left: 10px;
    border-radius: 22px;
    margin-bottom: 5px;
    cursor: default;
    border: 1px solid rgb(239, 239, 239);
  }
  .imageGenerate {
    max-width: 250px;
  }
}
